<?php
/*
Plugin Name: Flash Gallery
Version: 0.0.2
Description: Insert Flash on your gallery
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=299
Author:  Tiico
Author URI: 
*/
// See CHANGELOG for release informations

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable;

define('FLASHGAL_DIR' , basename(dirname(__FILE__)));
define('FLASHGAL_PATH' , PHPWG_PLUGINS_PATH . FLASHGAL_DIR . '/');
define('FLASHGAL_TABLE' , $prefixeTable . 'flash_gallery');


function flashgal_admin_menu($menu)
{
    array_push($menu, array(
      'NAME' => 'Flash Gallery',
      'URL' => get_admin_plugin_menu_link(FLASHGAL_PATH . 'admin/admin.php')));
    return $menu;
}

function set_flashgal_on_index()
{
	global $page;

  if (isset($page['section']) and $page['section'] == 'categories')
  {
    include_once(FLASHGAL_PATH . 'include/flashgal.inc.php');
	}
}

// Remplacement de la navigation courante par le module
function set_flashgal_replacement()
{
	global $page, $template;
	include_once(FLASHGAL_PATH . 'include/class.inc.php');
	$home = (($page['section'] == 'categories') and empty($page['category'])) ? true : null ;
	$catid = ($page['section'] == 'categories' and 
				isset($page['category'])) ? $page['category']['id'] : null ;
	$permalinkcat = empty($page['category']['permalink']) ? null : $page['category']['permalink'];

	$flashgal = new flashgal($catid, $home, $permalinkcat);

	if ($flashgal->module['replace_thumb'] == 'true')
	{
		$template->clear_assign('THUMBNAILS');
		$template->clear_assign('NAV_BAR');
	}
	// Suppression de la barre de navigation categories 
	if ($flashgal->module['replace_cats'] == 'true')
	{
		$template->clear_assign('CATEGORIES');
	}

}


add_event_handler('get_admin_plugin_menu_links', 'flashgal_admin_menu');
add_event_handler('loc_begin_index', 'set_flashgal_on_index');
add_event_handler('loc_end_index', 'set_flashgal_replacement');

?>