<?php

// extended parameters for 
// Autoviewer module

/*
Option Name  	Default Value  	Description
frameColor  	0xFFFFFF  	Color of image frame (hexidecimal color value e.g "0xff00ff").
frameWidth 	10 	Width of image frame in pixels.
imagePadding 	20 	Distance between images in pixels.
displayTime 	6 	Number of seconds each image will display in auto-play mode.
enableRightClickOpen 	true 	Whether to display the "Open Image in New Window..." right-click menu option.

HTML Options
langOpenImage 	"Open Image in New Window" 	The text displayed for the right-click 'Open Image in New Window' menu option. Can be used to translate AutoViewer into a non-English language.
langAbout 	"About" 	The text displayed for the right-click 'About' menu option. Can be used to translate AutoViewer into a non-English language.*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');


// default values
if (!isset($ext_datas)) 
	$ext_datas = array(
    'frameColor'    =>  "#FFFFFF",
    'frameWidth'    =>  "10",
    'imagePadding'  =>  "20",
    'displayTime'   =>  "6",
    'enableRightClickOpen'  => 	true,
    'langOpenImage' =>  "Open Image in New Window",
    'langAbout'     =>  "About"
);


		
// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
		if ($key == "enableRightClickOpen")
			$ext_datas[$key] = isset($_POST['AV_'.$key]);
		else
			$ext_datas[$key] = $_POST['AV_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "enableRightClickOpen")
		$template->assign(array( 'AV_'.$key => ($ext_datas[$key] ? 'checked="checked"': '')));
	else
		$template->assign(array( 'AV_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));

$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>